Subject: bug#865: 23.0.60; The directory is unsafe today

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Sep 2008 15:45:29 -0400

>> But I'd argue that having the umask (aka default-file-modes) set to
>> #o700 could be used as a tell-tale sign, so it sounds to me like it
>> might be doable by adding w32 C code without any C-level changes.
                                                   ^^^
                                                  Elisp

> So you are saying we should assume that when umask has its two lower
> mode bits set to zero, the intent is to create a private file
> accessible only by the user who runs Emacs?  I don't like such
> assumptions, but if I'm the only one, so be it.

It's not an assumption: it's what default-file-modes says.
If it's #oX00, it means that nobody else than the user who creates it
should have any access rights to it.  The X may specify additional
constraints so that even the creating user may not have read or write
(or exec) access, but these are less important.

        Stefan